*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  font-size: 13px;
  font-family: "Manrope", Courier, monospace;
}

:root {
  --clr-body-bg: hsl(210, 46%, 95%);
  --clr-share-bg: hsl(217, 19%, 35%);

  --fc-title: hsl(214, 17%, 51%);
  --fc-paragraph: hsl(212, 23%, 69%);

  --fw-title: 700;
  --fw-name: 500;
}

img {
  max-width: 100%;
}

body {
  background-color: var(--clr-body-bg);
}

.container {
  display: flex;
  flex-direction: column;
  place-items: center;
  place-content: center;
}

.card {
  background-color: white;
  margin: 4em 2em;
  border-radius: 10px;
  min-width: 300px;
  max-width: 400px;
}

/* Header */
.hero__img {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  background-size: cover;
}
/* Header End*/

/* Main */
.row {
  padding: 2em;
  padding-bottom: 1em;
}

.title {
  font-size: 1.2rem;
  color: var(--fc-title);
  font-weight: var(--fw-title);
}

.description {
  margin-top: 1em;
  margin-bottom: 2em;
  color: var(--fc-paragraph);
}

.profile {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.profile__img {
  border-radius: 50%;
  width: 100%;
  max-width: 40px;
  margin-right: -3em;
}

.profile__date-name_name {
  font-weight: var(--fw-title);
}

.profile__date-name_date {
  color: var(--fc-paragraph);
}

.profile__share-btn {
  background-color: var(--clr-body-bg);
  padding: 0.8em;
  border-radius: 50%;
}

.profile__share-btn:hover {
  background-color: var(--fc-paragraph);
  cursor: pointer;
}
/* Main End*/

/* Footer */
.share {
  background-color: var(--clr-share-bg);
  padding: 1em 2em;
  display: none;
  justify-content: space-between;
  align-items: center;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  margin-top: -1.55em;
}

.share__paragraph {
  text-transform: uppercase;
  color: var(--fc-paragraph);
  letter-spacing: 0.5em;
}

.icon-2 {
  margin-right: 1em;
  margin-left: 1em;
}

.share__icon-share {
  background-color: var(--fc-paragraph);
  border-radius: 50%;
  padding: 0.8em;
}

.share__icon-share:hover {
  background-color: var(--clr-body-bg);
  cursor: pointer;
}
/* Footer End*/

.attribution {
  font-size: 11px;
  text-align: center;
}

.attribution a {
  color: hsl(228, 45%, 44%);
}

/* Responsive Breakpoints */
@media (min-width: 700px) {
  body {
    height: 100vh;
  }

  .container {
    height: 100%;
  }

  .card {
    position: relative;
    display: flex;
    width: 50%;
    min-width: 720px;
  }

  /*Header*/
  .hero {
    width: 40%;
  }

  .hero__img {
    height: 100%;
    border-radius: 0;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
  }
  /*Header End*/

  /*Main*/
  .row {
    width: 60%;
    padding: 2em 3em;
  }

  .title {
    color: rgba(0, 0, 0, 0.705);
    font-size: 1.5rem;
  }

  .description {
    font-size: 1rem;
  }

  .profile__img {
    max-width: 40px;
  }

  .profile__date-name {
    margin-left: -8em;
  }

  .profile__date-name_name {
    font-size: 1rem;
  }

  .profile__date-name_date {
    font-size: 0.8rem;
  }

  .profile__share-btn {
    width: 100%;
    max-width: 35px;
  }
  /*Main End*/

  /*Footer*/
  .share {
    background-color: var(--clr-share-bg);
    position: absolute;
    padding: 1em 1.5em;
    bottom: 6.5em;
    right: -3.3em;
    display: none;
    justify-content: space-around;
    align-items: center;
    border-radius: 10px;
    width: 100%;
    max-width: 200px;
  }

  .share::after {
    position: absolute;
    content: "";
    background-color: var(--clr-share-bg);
    top: 34px;
    right: 90px;
    height: 20px;
    width: 20px;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
  }

  .share__icon-share {
    display: none;
  }

  .share__paragraph {
    font-size: 1rem;
    margin-right: 1em;
  }

  .share__social-icon {
    width: 50%;
    text-align: end;
  }

  .icon {
    width: 100%;
    max-width: 14px;
  }
  /*Footer End*/
}
